Bug 995847 - External network provider | add network | "Network Label" should be mandatory field
External network provider | add network | "Network Label" should be mandatory...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
Meni Yakove
network
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 10:18 EDT by Meni Yakove
Modified: 2016-02-10 14:46 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 09:37:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meni Yakove 2013-08-11 10:18:58 EDT
Description of problem:
The "Network Label" field in "New Logical Network" (add network) under "create on external provider" should be mandatory.
If this field is empty the error in the UI is:
Error while executing action AddNetworkOnProvider: Failed to communicate with the external provider.


And the error from the neutron server is:
2013-08-11 17:08:02    ERROR [quantum.api.v2.resource] create failed
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/quantum/api/v2/resource.py", line 82, in resource
    result = method(request=request, **args)
  File "/usr/lib/python2.6/site-packages/quantum/api/v2/base.py", line 369, in create
    obj = obj_creator(request.context, **kwargs)
  File "/usr/lib/python2.6/site-packages/quantum/plugins/linuxbridge/lb_quantum_plugin.py", line 408, in create_network
    physical_network, vlan_id = db.reserve_network(session)
  File "/usr/lib/python2.6/site-packages/quantum/plugins/linuxbridge/db/l2network_db_v2.py", line 117, in reserve_network
    raise q_exc.NoNetworkAvailable()
NoNetworkAvailable: Unable to create the network. No tenant network is available for allocation.


From engine log:
2013-08-11 17:15:17,120 ERROR [org.ovirt.engine.core.bll.provider.network.AddNetworkOnProviderCommand] (ajp-/127.0.0.1:8702-2) Command org.ovirt.engine.core.bll.provider.network.AddNetworkOnProviderCommand throw Vdc Bll exception. With error message VdcBLLException: (Failed with error PROVIDER_FAILURE and code 5050)
2013-08-11 17:15:17,124 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-2) Correlation ID: 1014ffb3, Call Stack: null, Custom Event ID: -1, Message: Failed to add Network neutrom_net1 to Data Center: Neutron_DC


Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.14.master.el6ev.noarch
openstack-quantum-2013.1.2-4.el6ost.noarch


Steps to Reproduce:
1. Add new network and select "create on external provider"
2. Leave "Network Label" field empty
Comment 1 Lior Vernia 2013-09-11 08:31:31 EDT
Not sure about the title of this bug, I don't know if the label should or shouldn't be mandatory. I'm pretty sure it has worked for me in the past without a label. Maybe it depends upon the choice of plugin? Meni, could you refute or corroborate?
Comment 2 Meni Yakove 2013-09-11 08:38:02 EDT
I tried this with linux bridge plugin.
Only when I set label name it worked.
Comment 3 Lior Vernia 2013-09-11 09:37:40 EDT
Checked and it still works on my environment, I'm guessing it has to do with the Neutron server configuration (perhaps VLAN range allocation?)... So the label probably isn't mandatory.

Note You need to log in before you can comment on or make changes to this bug.